//  Diffusion Client Library for iOS, OS X and tvOS
//
//  Copyright (c) 2016 Push Technology Ltd., All Rights Reserved.
//
//  Use is subject to license terms.
//
//  NOTICE: All information contained herein is, and remains the
//  property of Push Technology. The intellectual and technical
//  concepts contained herein are proprietary to Push Technology and
//  may be covered by U.S. and Foreign Patents, patents in process, and
//  are protected by trade secret or copyright law.

@import Foundation;
#import <Diffusion/PTDiffusionPagedTopicRules.h>

NS_ASSUME_NONNULL_BEGIN

/**
 @brief Rules as specified by the Java implementation of RuleBasedCollator.

 @deprecated Since 5.9. Will be removed in a future release.

 @since 5.7
 */
__deprecated_msg("Will be removed in a future release.")
@interface PTDiffusionPagedTopicCollationRules : PTDiffusionPagedTopicRules

/**
 Creates a collation rules object with the given rules.
 
 @param collationRules The rules.
 
 @exception NSInvalidArgumentException If collationRules is `nil`.

 @since 5.7
 */
-(instancetype)initWithCollationRules:(NSString *)collationRules NS_DESIGNATED_INITIALIZER;

/**
 The rules.
 
 @since 5.7
 */
@property(nonatomic, readonly) NSString* collationRules;

/**
 Compares the receiver to the given paged topic collation rules.

 @param pagedTopicCollationRules The paged topic collation rules object with which to compare the receiver.

 @return `YES` if the paged topic collation rules is equal to the receiver, otherwise `NO`.

 @since 5.7
 */
-(BOOL)isEqualToPagedTopicCollationRules:(nullable PTDiffusionPagedTopicCollationRules *)pagedTopicCollationRules;

@end

NS_ASSUME_NONNULL_END
