//  Diffusion Client Library for iOS, OS X and tvOS
//
//  Copyright (c) 2016 Push Technology Ltd., All Rights Reserved.
//
//  Use is subject to license terms.
//
//  NOTICE: All information contained herein is, and remains the
//  property of Push Technology. The intellectual and technical
//  concepts contained herein are proprietary to Push Technology and
//  may be covered by U.S. and Foreign Patents, patents in process, and
//  are protected by trade secret or copyright law.

@import Foundation;

@class PTDiffusionPagedTopicDuplicates;
@class PTDiffusionPagedTopicOrdering;

NS_ASSUME_NONNULL_BEGIN

/**
 @brief Represents an ordered ordering policy.
 
 @see PTDiffusionPagedTopicAttributes

 @deprecated Since 5.9. Will be removed in a future release.

 @since 5.7
 */
__deprecated_msg("Will be removed in a future release.")
@interface PTDiffusionPagedTopicOrderingPolicy : NSObject <NSCopying>

-(instancetype)init NS_UNAVAILABLE;

/**
 The ordering that the policy applies.

 @since 5.7
 */
@property(nonatomic, readonly) PTDiffusionPagedTopicOrdering* ordering;

/**
 The duplicates policy.

 @since 5.7
 */
@property(nonatomic, readonly) PTDiffusionPagedTopicDuplicates* duplicatesPolicy;

/**
 Compares the receiver to the given paged topic ordering policy.

 @param pagedTopicOrderingPolicy The paged topic ordering policy object with which to compare the receiver.

 @return `YES` if the paged topic ordering policy is equal to the receiver, otherwise `NO`.

 @since 5.7
 */
-(BOOL)isEqualToPagedTopicOrderingPolicy:(nullable PTDiffusionPagedTopicOrderingPolicy *)pagedTopicOrderingPolicy;

@end

NS_ASSUME_NONNULL_END
